@import url('https://fonts.googleapis.com/css2?family=Nunito+Sans:ital,opsz,wdth,wght@0,6..12,95,200..1000;1,6..12,95,200..1000&family=Source+Code+Pro:ital,wght@0,200..900;1,200..900&display=swap');

body {
    color-scheme: light dark;
    font-family: "Source Code Pro", monospace;
    font-optical-sizing: auto;
    font-weight: 500;
    font-style: normal;
    background-color: light-dark(oklch(0.9 0 0), oklch(0.25 0 0));;
    /*background-image: url("bg.png");
    background-size: 100%;
    background-position: center;
    background-repeat: no-repeat;*/
}

h1 {
    font-weight: 500;
    display: flex;
    justify-content: center;
    margin: auto;
    margin-top: 20px;
    color: light-dark(oklch(0.25 0 0), oklch(0.9 0 0));
    text-align: center;
}

button {
    border-radius: 0.75em;
    background: linear-gradient(25deg, oklch(65% 0.15 165), oklch(65% 0.15 225));
    border: none;
    color: light-dark(oklch(0.9 0 0), oklch(0.25 0 0));;
    height: 50px;
    width: 200px;
    font: inherit;
    font-size: 150%;
    transition: transform 0.3s ease;
    cursor: pointer;
    display: block;
    margin: auto;
    margin-top: 20px;
}

button:hover {
    transform: scale(1.1);
    /* Vergrößert den Button um 10% */
}

button:active {
    transform: scale(0.95);
    /* Effekt beim Draufklicken: Button wird kurz kleiner */
}

textarea {
    border-radius: 0.75em;
    display: flex;
    min-width: 300px;
    min-height: 200px;
    width: 30vw;
    height: 30dvh;
    border-color: oklch(65% 0.15 225);
    outline: none;
    box-shadow: 0px 0px 5px oklch(65% 0.15 225);
    justify-content: center;
    font-size: 150%;
    margin: auto;
    margin-top: 20px;
    font: inherit;
    padding: 20px;
    resize: none;
    background-color: light-dark(oklch(0.85 0 0), oklch(0.3 0 0));
    color: light-dark(oklch(0.5 0 0), oklch(0.65 0 0));
}

input[type="file"] {
    display: block;
    width: 200px;
    /* Required for margin: 0 auto to work */
    margin: 0 auto;
    margin-top: 20px;
    overflow: visible;
}

input[type="file"]::file-selector-button {
    border-radius: 0.75em;
    background: none;
    border: none;
    color: light-dark(oklch(0.25 0 0), oklch(0.9 0 0));;
    height: 50px;
    width: 200px;
    font: inherit;
    font-size: 150%;
    transition: transform 0.3s ease;
    cursor: pointer;
}

input[type="file"]::file-selector-button:hover {
    transform: scale(1.1);
    /* Vergrößert den Button um 10% */
}

h2 {
    text-align: center;
    color: light-dark(oklch(0.25 0 0), oklch(0.9 0 0));;
}

h3 {
    font-size: 40px;
    margin-bottom: 0px;
}

#container {
    width: auto;
    height: 80svh;
    position: fixed;
    inset: 0px;
    width: 100vw;
    margin: auto;
    background-color: light-dark(oklch(0.9 0 0), oklch(0.25 0 0));
    align-content: center;
    justify-content: center;
    box-shadow: 0px 0px 20dvh oklch(65% 0.15 225);
}

#override {
    background: none;
    font-size: 125%;
    margin-top: 10px;
    font-weight: 400;
    color: oklch(65% 0.15 90)
}

#back {
    min-width: 300px;
    min-height: fit-content;
    width: 30vw;
    margin-top: 30px;
}

#line-container {
    display: flex;
    flex-direction: column;
}

@media (min-width: 801px) {
  #line-container {
    display: flex;
    flex-direction: row;
  }
}

.column {
    display: flex;
    flex-direction: column;
    margin: auto;
    align-items: center;
    justify-content: center;
    width: 100%
}

span {
    color: light-dark(oklch(0.25 0 0), oklch(0.9 0 0));
    font-size: 20px;
}

#langSelect {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

#dropdown-inline-container {
    margin-top: 10px;
    margin-bottom: 10px;
}

label {
    color: light-dark(oklch(0.25 0 0), oklch(0.9 0 0));
}

select {
    padding: 5px;
    font: inherit;
    color: light-dark(oklch(0.25 0 0), oklch(0.9 0 0));
    border-radius: 2em;
}

#ttsToggle {
    position: fixed;
    width: 5dvh;
    height: 5dvh;
    margin: auto;
    padding: 0;
    top: 2.5dvh;
    right: 2.5dvh;
    background: none;
}

#changeDirection {
    position: fixed;
    width: 5dvh;
    height: 5dvh;
    margin: 0;
    padding: 0;
    top: 1.25dvh;
    right: 1.35dvh;
}

img {
    width: 5dvh;
    height: 5dvh;
}